import { StrictMode } from 'react';
import { createRoot } from 'react-dom/client';
import App from './App.tsx';
import './index.css';
import { DreamProvider } from './context/DreamContext';
import { AuthProvider } from './context/AuthContext';

createRoot(document.getElementById('root')!).render(
  <StrictMode>
    <AuthProvider>
      <DreamProvider>
        <App />
      </DreamProvider>
    </AuthProvider>
  </StrictMode>
);